PDA

Visualizza la versione completa : Errori aggiornando a MDK 10.1 official


mykol
01-01-2005, 11:31
Ciao,

sto aggiornando a MDK 10.1 official con questi servers presi da easyurpmi

urpmi.addmedia plf http://plf.acnova.com/mandrake/10.1 with hdlist.cz
urpmi.addmedia --update updates ftp://mirror.pacific.net.au/linux/Mandrakelinux/official/updates/10.1/main_updates with media_info/hdlist.cz
urpmi.addmedia main http://gd.tuwien.ac.at/pub/linux/Mandrakelinux/official/10.1/i586/media/main with media_info/hdlist.cz
urpmi.addmedia contrib ftp://gd.tuwien.ac.at/pub/linux/Mandrakelinux/official/10.1/i586/media/contrib with media_info/hdlist.cz
urpmi.addmedia jpackage ftp://gd.tuwien.ac.at/pub/linux/Mandrakelinux/official/10.1/i586/media/jpackage with media_info/hdlist.cz

ma mi da questo errore

[root@MDK10 giorgio]# urpmi --auto-select
Per soddisfare le dipendenze, saranno installati i seguenti pacchetti (52 MB):
glibc-2.3.3-23.1.101mdk.i586
glibc-devel-2.3.3-23.1.101mdk.i586
glibc-static-devel-2.3.3-23.1.101mdk.i586
glibc-utils-2.3.3-23.1.101mdk.i586
perl-5.8.5-3.1.101mdk.i586
perl-URPM-1.03-2.1.101mdk.i586
perl-base-5.8.5-3.1.101mdk.i586
perl-devel-5.8.5-3.1.101mdk.i586
popt-1.8.2-15mdk.i586
rpm-4.2.2-15mdk.i586
rpm-build-4.2.2-15mdk.i586
urpmi-4.5-29.1.101mdk.noarch
E' corretto? (S/n)

http://gd.tuwien.ac.at/pub/linux/Mandrakelinux/official/10.1/i586/media/main/rpm-4.2.2-15mdk.i586.rpm
installazione di /var/cache/urpmi/rpms/glibc-2.3.3-23.1.101mdk.i586.rpm /var/cache/urpmi/rpms/perl-5.8.5-3.1.101mdk.i586.rpm /var/cache/urpmi/rpms/urpmi-4.5-29.1.101mdk.noarch.rpm /var/cache/urpmi/rpms/perl-base-5.8.5-3.1.101mdk.i586.rpm /var/cache/urpmi/rpms/glibc-devel-2.3.3-23.1.101mdk.i586.rpm /var/cache/urpmi/rpms/glibc-static-devel-2.3.3-23.1.101mdk.i586.rpm /var/cache/urpmi/rpms/perl-devel-5.8.5-3.1.101mdk.i586.rpm /var/cache/urpmi/rpms/popt-1.8.2-15mdk.i586.rpm /var/cache/urpmi/rpms/perl-URPM-1.03-2.1.101mdk.i586.rpm /var/cache/urpmi/rpms/rpm-build-4.2.2-15mdk.i586.rpm /var/cache/urpmi/rpms/glibc-utils-2.3.3-23.1.101mdk.i586.rpm
Installazione fallita:
rpm >= 4.2.2-15mdk is needed by perl-URPM-1.03-2.1.101mdk
rpm = 4.2.2-15mdk is needed by rpm-build-4.2.2-15mdk
popt = 1.8.2-7mdk is needed by (installed) rpm-4.2.2-7mdk
Installazione fallita, alcuni file sono mancanti:
http://gd.tuwien.ac.at/pub/linux/Mandrakelinux/official/10.1/i586/media/main/rpm-4.2.2-15mdk.i586.rpm
Potresti voler aggiornare il tuo database di urpmi
[root@MDK10 giorgio]#

Ho provato a cambiare server, ma il risultato è più o meno lo stesso.

Qualcuno ha mica un elenco di server funzionanti per la 10.1 official ?

Grazie

alex86
01-01-2005, 11:42
credo che sulla repository non trovi questi due pakketti:

rpm-build-4.2.2-15mdk.i586.rpm
popt-1.8.2-15mdk.i586.rpm


prova a cercarli su internet e ad installarli a parte e poi rifai l'aggiornamento :ciauz:

mykol
01-01-2005, 11:53
grazie, più tardi provo

andy caps
01-01-2005, 12:06
cambia server metti proxad che è il piu aggiornato in genere anche se spesso è piu lento

mykol
01-01-2005, 22:23
Ciao,

ho messo i server proxad ed ho fatto l'aggiornamento.
Dopo alcuni prob. iniziali è partito ed è stato completato senza errori.

Ho però incominciato a scoprire i primi inconvenienti:

Firefox 1.0 che era in Italiano, l'ha messo in inglese (pazienza. lo rilocalizzerò !)

Chromium (al quale gioco sovente) non parte più, mi da il seguente errore:

[giorgio@MDK10 giorgio]$ chromium
randomizing.
SDL initialized.
video mode set (bpp=32 RGB=888 depth=24)
-OpenGL-----------------------------------------------------
Vendor : VA Linux Systems, Inc.
Renderer : Mesa DRI Rage 128 20030328 AGP 1x x86/MMX+/3DNow!+/SSE
Version : 1.2 Mesa 5.0.2
Extensions :
---------------------------------------
--------------------------------------
-----------------------------------
------------------------------------------------------------
1 CDROM drive(s).
fcntl: Invalid argument
fcntl: Invalid argument
-OpenAL-----------------------------------------------------
Vendor : Loki Software
Renderer : Software
Version : 0.0.4
Extensions :
AL_LOKI_play_position AL_LOKI_IMA_ADPCM_format
AL_LOKI_buffer_data_callback ALUT_LOKI_buffer_convert_data
ALC_LOKI_audio_channel AL_LOKI_attenuation_scale
------------------------------------------------------------
Segmentation fault
[giorgio@MDK10 giorgio]$


[giorgio@MDK10 giorgio]$ chromium-setup
starting OpenAL...fcntl: Invalid argument
fcntl: Invalid argument
done.
alutLoadMP3_LOKI present
alutLoadVorbis_LOKI NOT present
Segmentation fault
[giorgio@MDK10 giorgio]$

qualche idea su come risolvere ? L'ho già disinstallato e reinstallato, ma l'errore è lo stesso.

Grazie

andy caps
02-01-2005, 01:15
prova a buttare il file di conf .chromium nascosto nella home e restartalo
altrimenti io proverei ad installare qualche file di vorbis

mykol
02-01-2005, 09:37
fatto, partiva, poi dopo 10 secondi si bloccava tutto e dovevo resettare. Ho trafficato un pò, disinstallandolo e reinstallandolo, ed ora funziona.

Ma c'erano e ci sono altri piccoli (o grandi) prob.

La rotella del mouse non funzionava più. Xorg mi aveva messo "Option "ZAxisMapping" "6 7"" invece dei 4 5 contenuti nel precedente FX86Config-4.

Risolto questo, mi si presenta, più grave, il seguente:

OpenOffice non si avvia più dando il seguente errore:

Impossibile avviare OOo a causa di un errore di accesso ai dati di configurazione. Si è verificato il seguente errore interno: name "No Content!

(frutto dei forzati reboot ?)

Cancellare anche quì il file di conf nella mia dir ? ( se lo trovo ...)

Il resto alla prossima puntata

(sembra una telenovela ... ma comunque mi diverte di più del grande fratello ... o dell'isola dei famosi ... ma lì, a ben ricordare, ci si poteva lustrare gli occhi ...)

Per intanto grazie della vostra pazienza

andy caps
02-01-2005, 10:26
strani tutti questi errori di aggiornamento

prova comunque anche qui a buttare la dir .openoffice

e fare partire il programma direttamente dall'eseguibile

mykol
02-01-2005, 10:27
ok, provo

mykol
02-01-2005, 10:37
perfetto, funziona. non l'ho ancora provato a fondo, ma parte !

Comunque è stupefacente vedere come riesci sempre a trovare le soluzioni adatte. Sinceramente, sovente rimango a bocca aperta, ... e mi do dell'incapace (se non peggio) per non averci pensato io.
Comunque, questa è una lezione importante: sembra che quando qualche soft non parte, la prima cosa da fare, sia eliminare i file di conf. Bisognerebbe fare un howto di pronto intervento da mettere in evidenza.

A dopo con un altro caso, a dir poco, strano...

Loading